--------------------------------------
-- Namespaces
--------------------------------------
local _, core = ...

core.Instances = {
    --Create a nested table for each instance
    Legion = {
        Raids = {
            EmeraldNightmare = {
                name = "Emerald Nightmare",
                boss1 = {
                    name = "Nythendra",
                    bossIDs = {103160},
                    achievement = 10555,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EmeraldNightmare:Nythendra() end,
					partial = false,
                },
                boss2 = {
                    name = "Ursoc",
                    bossIDs = {100497},
                    achievement = 10753,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EmeraldNightmare:Ursoc() end,
					partial = false,
                },
                boss3 = {
                    name = "Dragons of Nightmare",
                    bossIDs = {102683,102682,102681,102679},
                    achievement = 10663,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EmeraldNightmare:DragonsOfNightmare() end,
					partial = false,
                },
                boss4 = {
                    name = "Elerethe Renferal",
                    bossIDs = {},
                    achievement = 10771,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Il'gynoth, Heart of Corruption",
                    bossIDs = {},
                    achievement = 10830,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Cenarius",
                    bossIDs = {},
                    achievement = 10772,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Xavius",
                    bossIDs = {},
                    achievement = 10755,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TrialOfValor = {
                name = "Trial of Valor",
                boss1 = {
                    name = "Odyn",
                    bossIDs = {},
                    achievement = 11337,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Guarm",
                    bossIDs = {},
                    achievement = 11386,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Helya",
                    bossIDs = {},
                    achievement = 11377,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TheNighthold = {
                name = "The Nighthold",
                boss1 = {
                    name = "Skorpyron",
                    bossIDs = {},
                    achievement = 10678,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Chronomatic Anomaly",
                    bossIDs = {},
                    achievement = 10697,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Trilliax",
                    bossIDs = {104288},
                    achievement = 10742,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheNighthold:Trilliax() end,
					partial = false,
                },
                boss4 = {
                    name = "Spellblade Aluriel",
                    bossIDs = {},
                    achievement = 10817,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Star Augur Etraeus",
                    bossIDs = {},
                    achievement = 10851,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "High Botanist Tel'arn",
                    bossIDs = {},
                    achievement = 10754,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Krosus",
                    bossIDs = {},
                    achievement = 10575,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss8 = {
                    name = "Tichondrius",
                    bossIDs = {103685},
                    achievement = 10704,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheNighthold:Tichondrius() end,
					partial = false,
                },
                boss9 = {
                    name = "Elisande",
                    bossIDs = {},
                    achievement = 10699,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss10 = {
                    name = "Gul'dan",
                    bossIDs = {},
                    achievement = 10696,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TombOfSargeras = {
                name = "Tomb of Sargeras",
                boss1 = {
                    name = "Goroth",
                    bossIDs = {},
                    achievement = 11724,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Demonic Inquisition",
                    bossIDs = {},
                    achievement = 11696,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Harjatan",
                    bossIDs = {},
                    achievement = 11699,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Mistress Sassz'ine",
                    bossIDs = {},
                    achievement = 11676,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Sisters of the Moon",
                    bossIDs = {},
                    achievement = 11773,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "The Desolate Host",
                    bossIDs = {},
                    achievement = 11674,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Maiden of Vigilance",
                    bossIDs = {},
                    achievement = 11675,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss8 = {
                    name = "Fallen Avatar",
                    bossIDs = {},
                    achievement = 11683,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss9 = {
                    name = "Kil'jaeden",
                    bossIDs = {},
                    achievement = 11770,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            AntorusTheBurningThrone = {
                name = "Antorus the Burning Throne",
                boss1 = {
                    name = "Garothi Worldbreaker",
                    bossIDs = {},
                    achievement = 11930,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Felhounds of Sargeras",
                    bossIDs = {},
                    achievement = 12065,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Antoran High Command",
                    bossIDs = {},
                    achievement = 12129,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Portal Keeper Hasabel",
                    bossIDs = {},
                    achievement = 11928,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Eonar",
                    bossIDs = {},
                    achievement = 12067,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Imonar the Soulhunter",
                    bossIDs = {},
                    achievement = 11949,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Kin-garoth",
                    bossIDs = {},
                    achievement = 12030,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss8 = {
                    name = "Varimathras",
                    bossIDs = {},
                    achievement = 11948,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss9 = {
                    name = "Coven of Shivarra",
                    bossIDs = {},
                    achievement = 12046,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss10 = {
                    name = "Aggramar",
                    bossIDs = {},
                    achievement = 11915,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss11 = {
                    name = "Argus",
                    bossIDs = {},
                    achievement = 12257,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },

        Dungeons = {
            SeatOfTheTriumvirate = {
                name = "Seat of the Triumvirate",
                boss1 = {
                    name = "L'ura",
                    bossIDs = {},
                    achievement = 12009,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Saprish",
                    bossIDs = {},
                    achievement = 12005,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Zuraal the Ascended",
                    bossIDs = {},
                    achievement = 12004,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            AssaultOnVioletHold = {
                name = "Assault on Violet Hold",
                boss1 = {
                    name = "Millificent Manastorm",
                    bossIDs = {},
                    achievement = 10553,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Festerface",
                    bossIDs = {},
                    achievement = 10554,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            EyeOfAzshara = {
                name = "Eye of Azshara",
                boss1 = {
                    name = "Warlord Parjesh",
                    bossIDs = {91784},
                    achievement = 10456,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EyeOfAzshara:WarlordParjesh() end,
					partial = false,
                },
                boss2 = {
                    name = "Lady Hatecoil",
                    bossIDs = {91789},
                    achievement = 10457,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EyeOfAzshara:LadyHatecoil() end,
					partial = false,
                },
                boss3 = {
                    name = "Wrath of Azshara",
                    bossIDs = {96028},
                    achievement = 10458,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EyeOfAzshara:WrathOfAzshara() end,
					partial = false,
                },
            },

            DarkheartThicket = {
                name = "Darkheart Thicket",
                boss1 = {
                    name = "Dresaron",
                    bossIDs = {},
                    achievement = 10766,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Shade of Xavius",
                    bossIDs = {},
                    achievement = 10769,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            HallsOfValor = {
                name = "Halls of Valor",
                boss1 = {
                    name = "Other 1",
                    bossIDs = {},
                    achievement = 10544,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Other 2",
                    bossIDs = {},
                    achievement = 10542,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Odyn",
                    bossIDs = {},
                    achievement = 10543,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            NeltharionsLair = {
                name = "Neltharions Lair",
                boss1 = {
                    name = "Other 3",
                    bossIDs = {},
                    achievement = 10996,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Naraxas",
                    bossIDs = {},
                    achievement = 10875,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            VaultOfTheWardens = {
                name = "Vault of the Wardens",
                boss1 = {
                    name = "Ash'Golm",
                    bossIDs = {},
                    achievement = 10679,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Cordana",
                    bossIDs = {},
                    achievement = 10680,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Other 4",
                    bossIDs = {},
                    achievement = 10707,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            BlackRookHold = {
                name = "Black Rook Hold",
                boss1 = {
                    name = "Other 5",
                    bossIDs = {},
                    achievement = 10709,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Amalgam of Souls",
                    bossIDs = {},
                    achievement = 10710,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Illysanna Ravencrest",
                    bossIDs = {},
                    achievement = 10711,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            MawOfSouls = {
                name = "Maw of Souls",
                boss1 = {
                    name = "Ymiron",
                    bossIDs = {},
                    achievement = 10413,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Helya",
                    bossIDs = {},
                    achievement = 10412,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Other 6",
                    bossIDs = {},
                    achievement = 10411,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TheArcway = {
                name = "The Arcway",
                boss1 = {
                    name = "Advisor Vandros",
                    bossIDs = {},
                    achievement = 10776,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Corstilax",
                    bossIDs = {},
                    achievement = 10775,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Ivanyr",
                    bossIDs = {},
                    achievement = 10773,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            CourtOfStars = {
                name = "Court of Stars",
                boss1 = {
                    name = "Patrol Captain Gerdo",
                    bossIDs = {},
                    achievement = 10610,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Other 7",
                    bossIDs = {},
                    achievement = 10611,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            ReturnToKarazhan = {
                name = "Return to Karazhan",
                boss1 = {
                    name = "Other 8",
                    bossIDs = {},
                    achievement = 11433,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Opera Hall",
                    bossIDs = {},
                    achievement = 11335,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Moroes",
                    bossIDs = {},
                    achievement = 11338,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Shade of Medivh",
                    bossIDs = {},
                    achievement = 11432,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Mana Devourer",
                    bossIDs = {},
                    achievement = 11431,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Other 9",
                    bossIDs = {},
                    achievement = 11430,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            CathedralOfEternalNight = {
                name = "Cathedral of Eternal Night",
                boss1 = {
                    name = "Agronox",
                    bossIDs = {},
                    achievement = 11768,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Thrashbite the Scornful",
                    bossIDs = {},
                    achievement = 11769,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Mephistroth",
                    bossIDs = {},
                    achievement = 11703,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },
    },

    WarlordsOfDraenor = {
        Raids = {
            Highmaul = {
                name = "Highmaul",
                boss1 = {
                    name = "Kargath Bladefist",
                    bossIDs = {},
                    achievement = 8948,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "The Butcher",
                    bossIDs = {},
                    achievement = 8947,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Tectus",
                    bossIDs = {},
                    achievement = 8974,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Brackenspore",
                    bossIDs = {},
                    achievement = 8975,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Twin Ogron",
                    bossIDs = {},
                    achievement = 8958,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Ko'ragh",
                    bossIDs = {},
                    achievement = 8976,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Imperator Mar'gok",
                    bossIDs = {},
                    achievement = 8977,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            BlackrockFoundry = {
                name = "Blackrock Foundry",
                boss1 = {
                    name = "Beastlord Darmac",
                    bossIDs = {76865},
                    achievement = 8981,
                    players = {},
                    tactics = "Takes 3 kills to complete. Boss will mount the beast that is closest to him. DPS the boss down slowly and wait for boss to mount beast before killing.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:BeastlordDarmac() end,
                    partial = false,
                },
                boss2 = {
                    name = "Operator Thogar",
                    bossIDs = {76906},
                    achievement = 8982,
                    players = {},
                    tactics = "Wait 10 seconds after pulling the boss then place Toy train set and then immediately after the wind up train wrecker on the first set of tracks as you enter the boss room. Achievement will be earned as soon as the requirements have been met.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:OperatorThogar() end,
                    partial = false,
                },
                boss3 = {
                    name = "Iron Maidens",
                    bossIDs = {77477, 77557, 77231},
                    achievement = 8984,
                    players = {},
                    tactics = "Nuke all 3 bosses within 10 seconds of one another",
                    enabled = true,
                    track = function() core.BlackrockFoundry:TheIronMaidens() end,
                    partial = false,
                },
                boss4 = {
                    name = "Hans'gar & Franzok",
                    bossIDs = {76973, 76974},
                    achievement = 8980,
                    players = {},
                    tactics = "Nuke boss down as quick as possible without anyone in the group getting hit by a stamping press. The stamping press display an orange glow on the floor a few seconds before stamping.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:HansgarFranzok() end,
                    partial = false,
                },
                boss5 = {
                    name = "Flamebender Ka'graz",
                    bossIDs = {76814},
                    achievement = 8929,
                    players = {},
                    tactics = "1 person tank Aknor Stellbringer away from the boss.  Everyone else single target the boss down.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:FlamebenderKagraz() end,
                    partial = false,
                },
                boss6 = {
                    name = "Kromog",
                    bossIDs = {77692},
                    achievement = 8983,
                    players = {},
                    tactics = "Requires atleast 10 players but more players makes achievement easier. Spread out around the room and wait for orange runes to spawn. When they spawn each player stand on their own rune. When hands spawn from runes and grab players nuke hands down as quickly as possible.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:Kromog() end,
                    partial = false,
                },
                boss7 = {
                    name = "Gruul",
                    bossIDs = {},
                    achievement = 8978,
                    players = {},
                    tactics = "1 player tank boss at entrance to room with boss facing into the center of the room. Everyone else stand underneath the ore which is positioned on the ceiling of the boss room. When boss casts overhead smash, players will be flung into the air. Click on the ore on the ceiling to collect it. Once all 3 ores have been collected you can nuke boss.",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss8 = {
                    name = "Oregorger",
                    bossIDs = {},
                    achievement = 8979,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss9 = {
                    name = "Blast Furnace",
                    bossIDs = {76806},
                    achievement = 8930,
                    players = {},
                    tactics = "Completed during phase 2. During phase 2, 4 random players will be targeted by slag elementals. If you have a slag elemental following you, run to one of the primal elementalists which doesn’t have a slag elemental already on. Once there is slag elemental on each primal elementalists you can nuke down the slag elemental then primal elementalists as quick as possible. Getting all 4 primal elementalists down within 10 seconds will reward this achievement. ",
                    enabled = true,
                    track = function() core.BlackrockFoundry:BlastFurnace() end,
                    partial = false,
                },
                boss10 = {
                    name = "Blackhand",
                    bossIDs = {77325},
                    achievement = 8952,
                    players = {},
                    tactics = "DPS the boss down to 30% to reach phase 3. Ashes will then start falling from the ceiling. Spread out around the platform and stand underneath the falling ashes until it lands on you. Once the group has collected 20 falling ashes you can nuke boss. The more players you have the easy this achievement is.",
                    enabled = true,
                    track = function() core.BlackrockFoundry:Blackhand() end,
                    partial = false,
                },
            },
            
            HellfireCitadel = {
                name = "Hellfire Citadel",
                boss1 = {
                    name = "Hellfire Assault",
                    bossIDs = {95068, 90018},
                    achievement = 10026,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:HellfireAssualt() end,
                    partial = false,
                },
                boss2 = {
                    name = "Iron Reaver",
                    bossIDs = {90284},
                    achievement = 10057,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:IronReaver() end,
                    partial = false,
                },
                boss3 = {
                    name = "Kormrok",
                    bossIDs = {90435},
                    achievement = 10013,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:Kormrok() end,
                    partial = false,
                },
                boss4 = {
                    name = "Hellfire High Council",
                    bossIDs = {92144, 92146, 92142},
                    achievement = 10054,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:HellfireHighCouncil() end,
                    partial = false,
                },
                boss5 = {
                    name = "Kilrogg Deadeye",
                    bossIDs = {90378},
                    achievement = 9972,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:KilroggDeadeye() end,
                    partial = false,
                },
                boss6 = {
                    name = "Gorefiend",
                    bossIDs = {90199},
                    achievement = 9979,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:Gorefiend() end,
                    partial = false,
                },
                boss7 = {
                    name = "Shadow-Lord Iskar",
                    bossIDs = {90316},
                    achievement = 9988,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:ShadowLordIskar() end,
                    partial = false,
                },
                boss8 = {
                    name = "Socrethar the Eternal",
                    bossIDs = {90296},
                    achievement = 10086,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:SocretharTheEternal() end,
                    partial = false,
                },
                boss9 = {
                    name = "Tyrant Velhari",
                    bossIDs = {93439},
                    achievement = 9989,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:TyrantVelhari() end,
                    partial = false,
                },
                boss10 = {
                    name = "Fel Lord Zakuun",
                    bossIDs = {89890},
                    achievement = 10012,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:FelLordZakuun() end,
                    partial = false,
                },
                boss11 = {
                    name = "Xhul'horac",
                    bossIDs = {93068},
                    achievement = 10087,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:Xhulhorac() end,
                    partial = false,
                },
                boss12 = {
                    name = "Mannoroth",
                    bossIDs = {91349},
                    achievement = 10030,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HellfireCitadel:Mannoroth() end,
                    partial = false,
                },
                boss13 = {
                    name = "Archimonde",
                    bossIDs = {},
                    achievement = 10073,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },

        Dungeons = {
            BloodmaulSlagMines = {
                name = "Bloodmaul Slag Mines",
                boss1 = {
                    name = "Other 10",
                    bossIDs = {},
                    achievement = 9005,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Magmolatus",
                    bossIDs = {74366},
                    achievement = 8993,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BloodmaulSlagMines:Magmolatus() end,
					partial = false,
                },
                boss3 = {
                    name = "Gug'rokk",
                    bossIDs = {74790},
                    achievement = 9008,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BloodmaulSlagMines:Gugrokk() end,
					partial = false,
                },
            },

            IronDocks = {
                name = "Iron Docks",
                boss1 = {
                    name = "Fleshrender Nok'gar",
                    bossIDs = {81305, 83026, 84520, 81603},
                    achievement = 9083,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.IronDocks:FleshrenderNokgar() end,
					partial = false,
                },
                boss2 = {
                    name = "Other 11",
                    bossIDs = {},
                    achievement = 9081,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Skulloc",
                    bossIDs = {83612},
                    achievement = 9082,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.IronDocks:Skulloc() end,
					partial = false,
                },
            },

            Auchindoun = {
                name = "Auchindoun",
                boss1 = {
                    name = "Soulbinder Nyami",
                    bossIDs = {},
                    achievement = 9023,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Azzakel",
                    bossIDs = {},
                    achievement = 9551,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Teron'gor",
                    bossIDs = {},
                    achievement = 9552,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            Skyreach = {
                name = "Skyreach",
                boss1 = {
                    name = "Ranjit",
                    bossIDs = {75964},
                    achievement = 9033,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Skyreach:Ranjit() end,
					partial = false,
                },
                boss2 = {
                    name = "Rukhran",
                    bossIDs = {},
                    achievement = 9035,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "High Sage Viryx",
                    bossIDs = {76266},
                    achievement = 9036,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Skyreach:HighSageViryx() end,
					partial = false,
                },
                boss4 = {
                    name = "High Sage Viryx",
                    bossIDs = {},
                    achievement = 9034,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = nil,
					partial = false,
                },
            },

            GrimrailDepot = {
                name = "Grimrail Depot",
                boss1 = {
                    name = "Rocketspark and Borka",
                    bossIDs = {77803,77816},
                    achievement = 9024,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.GrimrailDepot:RocketsparkAndBorka() end,
					partial = false,
                },
                boss2 = {
                    name = "Nitrogg Thundertower",
                    bossIDs = {},
                    achievement = 9007,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TheEverbloom = {
                name = "The Everbloom",
                boss1 = {
                    name = "Witherbark",
                    bossIDs = {81522},
                    achievement = 9017,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheEverbloom:Witherbark() end,
					partial = false,
                },
                boss2 = {
                    name = "Archmage Sol",
                    bossIDs = {},
                    achievement = 9493,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Yalnu",
                    bossIDs = {83846},
                    achievement = 9223,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            ShadowmoonBurialGrounds = {
                name = "Shadowmoon Burial Grounds",
                boss1 = {
                    name = "Sadana Bloodfury",
                    bossIDs = {},
                    achievement = 9018,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Bonemaw",
                    bossIDs = {77006, 75452},
                    achievement = 9025,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadowmoonBurialGrounds:Bonemaw() end,
					partial = true,
                },
                boss3 = {
                    name = "Ner'zhul",
                    bossIDs = {76407},
                    achievement = 9026,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadowmoonBurialGrounds:Nerzhul() end,
					partial = false,
                },
            },

            UpperBlackrockSpire = {
                name = "Upper Blackrock Spire",
                boss1 = {
                    name = "Orebender Gor'ashan",
                    bossIDs = {76413},
                    achievement = 9045,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UpperBlackrockSpire:OrebenderGorashan() end,
					partial = false,
                },
                boss2 = {
                    name = "Other 12",
                    bossIDs = {},
                    achievement = 9058,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Ragewing the Untamed",
                    bossIDs = {76585},
                    achievement = 9056,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UpperBlackrockSpire:RagewingTheUntamed() end,
					partial = false,
                },
                boss4 = {
                    name = "Warlord Zaela",
                    bossIDs = {77120},
                    achievement = 9057,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UpperBlackrockSpire:WarlordZaela() end,
					partial = false,
                },
            },
        },
    },

    MistsOfPandaria = {
        Raids = {
            TerraceOfEndlessSpring = {
                name = "Terrace of Endless Spring",
                boss1 = {
                    name = "Protectors of the Endless",
                    bossIDs = {60583, 60586, 60585},
                    achievement = 6717,
                    players = {},
                    tactics = "This achievement takes 3 weeks to complete. All you need to do is rotate which 1 of the 3 bosses is to be killed last each week",
                    enabled = true,
                    track = function() core.TerraceOfEndlessSpring:ProtectorsOfTheEndless() end,
                    partial = false,
                },
                boss2 = {
                    name = "Tsulong",
                    bossIDs = {62442},
                    achievement = 6933,
                    players = {},
                    tactics = "At 110 you can simply nuke the boss since it takes ~70 seconds for the enchanted plant to die without any healing",
                    enabled = true,
                    track = function() core.TerraceOfEndlessSpring:Tsulong() end,
                    partial = false,
                },
                boss3 = {
                    name = "Lei Shi",
                    bossIDs = {62983},
                    achievement = 6824,
                    players = {},
                    tactics = "Once you have started the fight. Every player must go down the steps to left and right of the boss into the water and walk up to a Parasitoid Sha. Once a player is close enough to the Parasitoid Sha it will attach itself to the head of that player. Once everyone in the raid has a Parasitoid Sha on their head, you can single target the boss down. Do not use multi-target abilities since you may accidently kill a Parasitoid Sha",
                    enabled = true,
                    track = function() core.TerraceOfEndlessSpring:LeiShi() end,
                    partial = false,
                },
                boss4 = {
                    name = "Sha of Fear",
                    bossIDs = {60999},
                    achievement = 6825,
                    players = {},
                    tactics = "At 110 you can simply nuke the boss. Make sure you stand in the light to avoid getting feared",
                    enabled = true,
                    track = function() core.TerraceOfEndlessSpring:ShaOfFear() end,
                    partial = false,
                },
            },

            ThroneOfThunder = {
                name = "Throne of Thunder",
                boss1 = {
                    name = "Jin'rokh the Breaker",
                    bossIDs = {},
                    achievement = 8094,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Horridon",
                    bossIDs = {68476},
                    achievement = 8038,
                    players = {},
                    tactics = "At 110 you can simply nuke the boss before any Zandalari Dinomancers spawn",
                    enabled = true,
                    track = function() core.ThroneOfThunder:Horridon() end,
                    partial = false,
                },
                boss3 = {
                    name = "Council of Elders",
                    bossIDs = {},
                    achievement = 8073,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Tortos",
                    bossIDs = {67977},
                    achievement = 8077,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:Tortos() end,
                    partial = false,
                },
                boss5 = {
                    name = "Megaera",
                    bossIDs = {},
                    achievement = 8082,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Ji-Kun",
                    bossIDs = {69712},
                    achievement = 8097,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:JiKun() end,
                    partial = false,
                },
                boss7 = {
                    name = "Durumu the Forgotten",
                    bossIDs = {68036},
                    achievement = 8098,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:DurumuTheForgotten() end,
                    partial = false,
                },
                boss8 = {
                    name = "Primordius",
                    bossIDs = {69017},
                    achievement = 8037,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:Primordius() end,
                    partial = false,
                },
                boss9 = {
                    name = "Dark Animus",
                    bossIDs = {},
                    achievement = 8081,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss10 = {
                    name = "Iron Qon",
                    bossIDs = {68078},
                    achievement = 8087,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:IronQon() end,
                    partial = false,
                },
                boss11 = {
                    name = "Twin Consorts",
                    bossIDs = {68905, 68904},
                    achievement = 8086,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfThunder:TwinConsorts() end,
                    partial = false,
                },
                boss12 = {
                    name = "Lei Shen",
                    bossIDs = {},
                    achievement = 8090,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            SiegeOfOrgrimmar = {
                name = "Siege of Orgrimmar",
                boss1 = {
                    name = "Immerseus",
                    bossIDs = {71543},
                    achievement = 8536,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:Immerseus() end,
                    partial = false,
                },
                boss2 = {
                    name = "The Fallen Protectors",
                    bossIDs = {71475, 71479, 71480},
                    achievement = 8528,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:TheFallenProtectors() end,
                    partial = true,
                },
                boss3 = {
                    name = "Amalgam of Corruption",
                    bossIDs = {72276},
                    achievement = 8532,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:AmalgamOfCorruption() end,
                    partial = false,
                },
                boss4 = {
                    name = "Sha of Pride",
                    bossIDs = {71734},
                    achievement = 8521,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:ShaOfPride() end,
                    partial = true,
                },
                boss5 = {
                    name = "Galakras",
                    bossIDs = {72311},
                    achievement = 8530,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:Galakras() end,
                    partial = true,
                },
                boss6 = {
                    name = "Iron Juggernaut",
                    bossIDs = {71466},
                    achievement = 8520,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:IronJuggernaut() end,
                    partial = false,
                },
                boss7 = {
                    name = "Kor'kron Dark Shaman",
                    bossIDs = {},
                    achievement = 8453,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function()  end,
                },
                boss8 = {
                    name = "General Nazgrim",
                    bossIDs = {71515},
                    achievement = 8448,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:GeneralNazgrim() end,
                    partial = false,
                },
                boss9 = {
                    name = "Malkorok",
                    bossIDs = {71454},
                    achievement = 8538,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:Malkorok() end,
                    partial = false,
                },
                boss10 = {
                    name = "Spoils of Pandaria",
                    bossIDs = {73720, 71512},
                    achievement = 8529,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:SecuredStockpileOfPandarenSpoils() end,
                    partial = false,
                },
                boss11 = {
                    name = "Thok the Bloodthirsty",
                    bossIDs = {71529},
                    achievement = 8527,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:ThokTheBloodthirsty() end,
                    partial = false,
                },
                boss12 = {
                    name = "Siegecrafter Blackfuse",
                    bossIDs = {71504},
                    achievement = 8543,
                    players = {},
                    tactics = "At 110 you can simply nuke the boss and ignore killing any of the weapons",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:SiegecrafterBlackfuse() end,
                    partial = false,
                },
                boss13 = {
                    name = "Paragons of the Klaxxi",
                    bossIDs = {71158, 71152, 71155, 71153, 71157, 71160, 71156, 71154, 71161},
                    achievement = 8531,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:Paragons() end,
                    partial = false,
                },
                boss14 = {
                    name = "Garrosh Hellscream",
                    bossIDs = {71865},
                    achievement = 8537,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfOrgrimmar:GarroshHellscream() end,
                    partial = false,
                },
            },

            HeartOfFear = {
                name = "Heart of Fear",
                boss1 = {
                    name = "Imperial Vizier Zor'lok",
                    bossIDs = {62980},
                    achievement = 6937,
                    players = {},
                    tactics = "The " .. GetSpellLink(125785) .. " bugs spawn at the four pillars around the center of the room. 2 Zealous Parasite spawn at each pillar at a time. Every player needs to click on one of these Zealous Parasite to gain a debuff. Once every player in the group has got the debuff you can kill the boss. All players in the raid need to be alive and have the debuff to gain the achievement.",
                    enabled = true,
                    track = function() core.HeartOfFear:ImperialVizierZorlok() end,
                    partial = false,
                },
                boss2 = {
                    name = "Blade Lord Ta'yak",
                    bossIDs = {},
                    achievement = 6936,
                    players = {},
                    tactics = "There are 4 Braziers in the center of the room and 2 braziers to the far left and far right of the room as you are looking at the boss. Once the boss has reached 20% health you need to click on the braziers in the middle of the room which are lit up to gain the " .. GetSpellLink(128949) .. " buff. You then need to run to one of the brazier on the far right/left to light it up. Once all 4 far braziers are lit up you can kill the boss",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Garalon",
                    bossIDs = {62164, 63053},
                    achievement = 6553,
                    players = {},
                    tactics = "At 110 you can single target the boss to gain the achievement. Avoid AOE as this may kill the legs",
                    enabled = true,
                    track = function() core.HeartOfFear:Garalon() end,
                    partial = false,
                },
                boss4 = {
                    name = "Wind Lord Mel'jarak",
                    bossIDs = {},
                    achievement = 6683,
                    players = {},
                    tactics = "At 110 you can simply just nuke the boss to gain this achievement",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Amber-Shaper Un'sok",
                    bossIDs = {},
                    achievement = 6518,
                    players = {},
                    tactics = "For this achievement you will need atleast 2 players. Once you pull the boss, kill the Living Amber so that the pools that spawn once these adds are killed are stacked on top of one another. Once you have 8 pools stacked ontop of one another, you can nuke the boss. If a player becomes an Amber Monster then nuke that player down to 20% health to free them",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Grand Empress Shek'zeer",
                    bossIDs = {62837},
                    achievement = 6922,
                    players = {},
                    tactics = "For this achievement you need a way to taunt the boss between 2 targets to manage the " .. GetSpellLink(123707) .. " debuff. 2 players will need to taunt at 4 stacks of the debuff to avoid dying. This will keep happening until the boss reaches 0 energy at which points the adds will spawn. Nuke down the 2 Kor'thik Reavers within 10 seconds of each other and then kill the boss to gain this achievement",
                    enabled = true,
                    track = function() core.HeartOfFear:GrandEmpressShekzeer() end,
                    partial = false,
                },
            },

            MoguShanVaults = {
                name = "MoguShan Vaults",
                boss1 = {
                    name = "The Stone Guard",
                    bossIDs = {},
                    achievement = 6823,
                    players = {},
                    tactics = "For this achievement every player must have a canine companion pet summoned. The following pets definately work with the achievement: " .. GetSpellLink(70613) .. " " .. GetSpellLink(69452) .. " " .. GetSpellLink(90637),
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Feng the Accursed",
                    bossIDs = {60009},
                    achievement = 6674,
                    players = {},
                    tactics = "For this achievment you need to reverse the following abilities: " .. GetSpellLink(116936) .. " " .. GetSpellLink(118307) .. " " .. GetSpellLink(118194) .. " " .. GetSpellLink(115730) .. " " .. GetSpellLink(116938) .. ". To reverse these abilities a tank spec'ed player need to pick up the " .. GetSpellLink(115911) .. " which is located to left of the boss. Phase 1: 95%; Epicenter is cast by boss; Lighting fists has to be reversed on a player who gets stunned by soaking the ability. Phase 2: 66%; Wildfire Spark is cast on a player. Phase 3: At 33%; Arcane Velocity is cast by boss; Arcane Resonance is cast on a player. Once all 5 abilities have been reversed you can kill boss. Note: if you do the instance on heroic difficulty the phases may be in a different order",
                    enabled = true,
                    track = function() core.MogushanVaults:FengTheAccursed() end,
                    partial = false,
                },
                boss3 = {
                    name = "Gara'jal the Spiritbinder",
                    bossIDs = {},
                    achievement = 7056,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "The Spirit Kings",
                    bossIDs = {},
                    achievement = 6687,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Elegon",
                    bossIDs = {},
                    achievement = 6686,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss6 = {
                    name = "Will of the Emperor",
                    bossIDs = {},
                    achievement = 6455,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },

        Dungeons = {
            StormstoutBrewery = {
                name = "Stormstout Brewery",
                boss1 = {
                    name = "Ook-Ook",
                    bossIDs = {56637},
                    achievement = 6089,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.StormstoutBrewery:OokOok() end,
                    partial = false,
                },
                boss2 = {
                    name = "Other 13",
                    bossIDs = {},
                    achievement = 6400,
                    players = {},
                    tactics = "",
                    enabled = nil,
                    partial = false,
                },                
                boss3 = {
                    name = "Hoptallus",
                    bossIDs = {59426, 59460, 56718, 59459, 59461, 59551},
                    achievement = 6420,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.StormstoutBrewery:Hoptallus() end,
                    partial = false,
                },
                boss4 = {
                    name = "Other 14",
                    bossIDs = {},
                    achievement = 6402,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            ScarletHalls = {
                name = "Scarlet Halls",
                boss1 = {
                    name = "Houndmaster Braun",
                    bossIDs = {58876, 58674, 59309},
                    achievement = 6684,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ScarletHalls:HoundmasterBraun() end,
					partial = true,
                },
                boss2 = {
                    name = "Armsmaster Harlan",
                    bossIDs = {58632},
                    achievement = 6427,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ScarletHalls:ArmsmasterHarlan() end,
					partial = false,
                },
            },

            ScarletMonastery = {
                name = "Scarlet Monastery",
                boss1 = {
                    name = "Thalnos the Soulrender",
                    bossIDs = {59789},
                    achievement = 6946,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ScarletMonastery:ThalnosTheSoulrender() end,
					partial = false,
                },
                boss2 = {
                    name = "Brother Korloff",
                    bossIDs = {},
                    achievement = 6928,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "High Inquisitor Whitemane",
                    bossIDs = {60040, 3977},
                    achievement = 6929,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ScarletMonastery:HighInquisitorWhitemane() end,
					partial = false,
                },
            },

            Scholomance = {
                name = "Scholomance",
                boss1 = {
                    name = "Jandice Barov",
                    bossIDs = {},
                    achievement = 6531,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Rattlegore",
                    bossIDs = {59153},
                    achievement = 6394,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Scholomance:Rattlegore() end,
					partial = false,
                },
                boss3 = {
                    name = "Other 15",
                    bossIDs = {59368},
                    achievement = 6396,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Scholomance:Sanguinarian() end,
					partial = true,
                },
                boss4 = {
                    name = "Other 16",
                    bossIDs = {},
                    achievement = 6821,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Other 17",
                    bossIDs = {},
                    achievement = 6715,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TempleOfTheJadeSerpent = {
                name = "Temple of the Jade Serpent",
                boss1 = {
                    name = "Wise Mari",
                    bossIDs = {56448},
                    achievement = 6460,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TempleOfTheJadeSerpent:WiseMari() end,
					partial = false,
                },
                boss2 = {
                    name = "Sha of Doubt",
                    bossIDs = {56439},
                    achievement = 6671,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TempleOfTheJadeSerpent:ShaOfDoubt() end,
					partial = false,
                },
                boss3 = {
                    name = "Sha of Doubt",
                    bossIDs = {56439},
                    achievement = 6475,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TempleOfTheJadeSerpent:ShaOfDoubt2() end,
					partial = false,
                },
            },

            MoguShanPalace = {
                name = "MoguShan Palace",
                boss1 = {
                    name = "Gekkan",
                    bossIDs = {},
                    achievement = 6478,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Xin the Weaponmaster",
                    bossIDs = {61398},
                    achievement = 6736,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.MoguShanPalace.XinTheWeaponmaster() end,
					partial = false,
                },
                boss3 = {
                    name = "Other",
                    bossIDs = {},
                    achievement = 6713,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            ShadoPanMonastery = {
                name = "Shado Pan Monastery",
                boss1 = {
                    name = "Master Snowdrift",
                    bossIDs = {},
                    achievement = 6477,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Sha of Violence",
                    bossIDs = {56719},
                    achievement = 6472,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadoPanMonastery:ShaOfViolence() end,
					partial = false,
                },
                boss3 = {
                    name = "Taran Zhu",
                    bossIDs = {56884},
                    achievement = 6471,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadoPanMonastery:TaranZhu() end,
					partial = false,
                },
            },
    
            SiegeOfNiuzaoTemple = {
                name = "Siege of Niuzao Temple",
                boss1 = {
                    name = "Commander Vo'jak",
                    bossIDs = {63106,61699,61670,61701,61634},
                    achievement = 6688,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfNiuzaoTemple:CommanderVojak() end,
					partial = true,
                },
                boss2 = {
                    name = "General Pa'valak",
                    bossIDs = {61485},
                    achievement = 6485,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfNiuzaoTemple:GeneralPaValak() end,
					partial = false,
                },
                boss3 = {
                    name = "Wing Leader Ner'onok",
                    bossIDs = {62205},
                    achievement = 6822,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.SiegeOfNiuzaoTemple:WingLeaderNeronok() end,
					partial = false,
                },
            },

            GateOfTheSettingSun = {
                name = "Gate of the Setting Sun",
                boss1 = {
                    name = "Saboteur Kip'tilak",
                    bossIDs = {56906},
                    achievement = 6479,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.GateOfTheSettingSun:SaboteurKiptilak() end,
					partial = false,
                },
                boss2 = {
                    name = "Other 18",
                    bossIDs = {},
                    achievement = 6476,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Raigonn",
                    bossIDs = {56877},
                    achievement = 6945,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.GateOfTheSettingSun:Raigonn() end,
					partial = false,
                },
            },
        },
    },

    Cataclysm = {
        Raids = {
            DragonSoul = {
                name = "Dragon Soul",
                boss1 = {
                    name = "Morchok",
                    bossIDs = {},
                    achievement = 6174,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Warlord Zon'ozz",
                    bossIDs = {55308},
                    achievement = 6128,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DragonSoul:WarlordZonozz() end,
                    partial = false,
                },
                boss3 = {
                    name = "Yor'sahj the Unsleeping",
                    bossIDs = {55312},
                    achievement = 6129,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DragonSoul:YorsahjTheUnsleeping() end,
                    partial = false,
                },
                boss4 = {
                    name = "Hagara the Stormbinder",
                    bossIDs = {},
                    achievement = 6175,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Ultraxion",
                    bossIDs = {55294},
                    achievement = 6084,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DragonSoul:Ultraxion() end,
                    partial = false,
                },
                boss6 = {
                    name = "Warmaster Blackhorn",
                    bossIDs = {56598},
                    achievement = 6105,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DragonSoul:Skyfire() end,
                    partial = false,
                },
                boss7 = {
                    name = "Spine of Deathwing",
                    bossIDs = {53879},
                    achievement = 6133,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DragonSoul:SpineOfDeathwing() end,
                    partial = false,
                },
                boss8 = {
                    name = "Madness of Deathwing",
                    bossIDs = {},
                    achievement = 6180,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() end,
                    partial = false,
                },
            },

            BlackwingDescent = {
                name = "Blackwing Descent",
                boss1 = {
                    name = "Magmaw",
                    bossIDs = {41570},
                    achievement = 5306,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:Magmaw() end,
                    partial = false,
                },
                boss2 = {
                    name = "Omnotron Defense System",
                    bossIDs = {42178, 42179, 42180, 42166},
                    achievement = 5307,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:OminitronDefenseSystem() end,
                    partial = false,
                },
                boss3 = {
                    name = "Maloriak",
                    bossIDs = {41378},
                    achievement = 5310,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:Maloriak() end,
                    partial = false,
                },
                boss4 = {
                    name = "Atramedes",
                    bossIDs = {41442},
                    achievement = 5308,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:Atramedes() end,
                    partial = false,
                },
                boss5 = {
                    name = "Chimaeron",
                    bossIDs = {43296},
                    achievement = 5309,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:Chimaeron() end,
                    partial = false,
                },
                boss6 = {
                    name = "Nefarian",
                    bossIDs = {41270, 41376},
                    achievement = 4849,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackwingDescent:Nefarian() end,
                    partial = false,
                },
            },

            BastionOfTwilight = {
                name = "Bastion of Twilight",
                boss1 = {
                    name = "Halfus Wyrmbreaker",
                    bossIDs = {44600},
                    achievement = 5300,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BastionOfTwilight:HalfusWyrmbreaker() end,
                    partial = false,
                },
                boss2 = {
                    name = "Valiona And Theralion",
                    bossIDs = {45992},
                    achievement = 4852,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BastionOfTwilight_ValionaAndTheralion() end,
                    partial = false,
                },
                boss3 = {
                    name = "Ascendant Council",
                    bossIDs = {},
                    achievement = 5311,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Cho'gall",
                    bossIDs = {43324},
                    achievement = 5312,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BastionOfTwilight:Chogall() end,
                    partial = false,
                },
            },

            ThroneOfTheFourWinds = {
                name = "Throne of the Four Winds",
                boss1 = {
                    name = "Conclave of Wind",
                    bossIDs = {},
                    achievement = 5304,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Al'Akir",
                    bossIDs = {},
                    achievement = 5305,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            Firelands = {
                name = "Firelands",
                boss1 = {
                    name = "Beth'tilac",
                    bossIDs = {52498},
                    achievement = 5821,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Firelands:Bethtilac() end,
                    partial = false,
                },
                boss2 = {
                    name = "Lord Rhyolith",
                    bossIDs = {52558},
                    achievement = 5810,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Firelands:LordRhyolith() end,
                    partial = false,
                },
                boss3 = {
                    name = "Alysrazor",
                    bossIDs = {52530},
                    achievement = 5813,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Firelands:Alysrazor() end,
                    partial = false,
                },
                boss4 = {
                    name = "Shannox",
                    bossIDs = {},
                    achievement = 5829,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Baleroc",
                    bossIDs = {53494},
                    achievement = 5830,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Firelands:Baleroc() end,
                    partial = false,
                },
                boss6 = {
                    name = "Majordomo Staghelm",
                    bossIDs = {},
                    achievement = 5799,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss7 = {
                    name = "Ragnaros",
                    bossIDs = {},
                    achievement = 5855,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },

        Dungeons = {
            BlackrockCaverns = {
                name = "Blackrock Caverns",
                boss1 = {
                    name = "Rom'ogg Bonecrusher",
                    bossIDs = {39665},
                    achievement = 5281,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackrockCaverns:RomoggBonecrusher() end,
					partial = false,
                }, 
                boss2 = {
                    name = "Corla",
                    bossIDs = {39679},
                    achievement = 5282,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackrockCaverns:Corla() end,
					partial = false,
                },  
                boss3 = {
                    name = "Karsh Steelbender",
                    bossIDs = {39698},
                    achievement = 5283,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackrockCaverns:KarshSteelbender() end,
					partial = false,
                },  
                boss4 = {
                    name = "Ascendant Lord Obsidius",
                    bossIDs = {39705},
                    achievement = 5284,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.BlackrockCaverns:AscendantLordObsidius() end,
					partial = false,
                },                 
            },

            ThroneOfTheTides = {
                name = "Throne of the Tides",
                boss1 = {
                    name = "Lady Naz'Jar",
                    bossIDs = {40586},
                    achievement = 5285,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfTheTides:LadyNazjar() end,
					partial = false,
                },
                boss2 = {
                    name = "Ozumat",
                    bossIDs = {44658, 44715, 44648},
                    achievement = 5286,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ThroneOfTheTides:Ozumat() end,
					partial = false,
                },                  
            },

            Stonecore = {
                name = "Stonecore",
                boss1 = {
                    name = "High Priestess Azil",
                    bossIDs = {},
                    achievement = 5287,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },               
            },

            TheVortexPinnacle = {
                name = "The Vortex Pinnacle",
                boss1 = {
                    name = "Asaad",
                    bossIDs = {43875},
                    achievement = 5288,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheVortexPinnacle:Asaad() end,
					partial = false,
                },
                boss2 = {
                    name = "Other 19",
                    bossIDs = {},
                    achievement = 5289,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                
            },

            GrimBatol = {
                name = "Grim Batol",
                boss1 = {
                    name = "General Umbriss",
                    bossIDs = {39625},
                    achievement = 5297,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.GrimBatol:GeneralUmbriss() end,
					partial = false,
                },
                boss2 = {
                    name = "Erudax",
                    bossIDs = {40484},
                    achievement = 5298,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.GrimBatol:Erudax() end,
					partial = false,
                },               
            },

            HallsOfOrigination = {
                name = "Halls of Origination",
                boss1 = {
                    name = "Temple Guardian Anhuur",
                    bossIDs = {39425},
                    achievement = 5293,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfOrigination:TempleGuardianAnhuur() end,
					partial = false,
                },
                boss2 = {
                    name = "Earthrager Ptah",
                    bossIDs = {39428},
                    achievement = 5294,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfOrigination:EarthragerPtah() end,
					partial = false,
                },
                boss3 = {
                    name = "Other",
                    bossIDs = {},
                    achievement = 5296,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Rajh",
                    bossIDs = {},
                    achievement = 5295,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },           
            },

            LostCityOfTheTolVir = {
                name = "Lost City of The TolVir",
                boss1 = {
                    name = "Lockmaw",
                    bossIDs = {43614},
                    achievement = 5291,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.LostCityOfTheTolVir:Lockmaw() end,
					partial = false,
                },  
                boss2 = {
                    name = "High Prophet Barim",
                    bossIDs = {43612},
                    achievement = 5290,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.LostCityOfTheTolVir:HighProphetBarim() end,
					partial = false,
                },  
                boss3 = {
                    name = "Siamat",
                    bossIDs = {44819},
                    achievement = 5292,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.LostCityOfTheTolVir:Siamat() end,
					partial = false,
                },           
            },

            Deadmines = {
                name = "Deadmines",
                boss1 = {
                    name = "Glubtok",
                    bossIDs = {47162},
                    achievement = 5366,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Deadmines:Glubtok() end,
					partial = false,
                },
                boss2 = {
                    name = "Helix Gearbreaker",
                    bossIDs = {47296},
                    achievement = 5367,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Deadmines:HelixGearbreaker() end,
					partial = false,
                },  
                boss3 = {
                    name = "Foe Reaper 5000",
                    bossIDs = {},
                    achievement = 5368,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = true,
                },  
                boss4 = {
                    name = "Admiral Ripsnarl",
                    bossIDs = {47626},
                    achievement = 5369,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Deadmines:AdmiralRipsnarl() end,
					partial = false,
                },  
                boss5 = {
                    name = "'Captain' Cookie",
                    bossIDs = {47739},
                    achievement = 5370,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Deadmines:CaptainCookie() end,
					partial = false,
                },  
                boss6 = {
                    name = "Vanessa VanCleef",
                    bossIDs = {49541},
                    achievement = 5371,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Deadmines:VanessaVanCleef() end,
					partial = false,
                },            
            },

            ShadowfangKeep = {
                name = "Shadowfang Keep",
                boss1 = {
                    name = "Baron Ashbury",
                    bossIDs = {46962},
                    achievement = 5503,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadowfangKeep:BaronAshbury() end,
					partial = false,
                },
                boss2 = {
                    name = "Commander Springvale",
                    bossIDs = {4278},
                    achievement = 5504,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadowfangKeep:CommanderSpringvale() end,
					partial = false,
                },            
                boss3 = {
                    name = "Lord Godfrey",
                    bossIDs = {46964},
                    achievement = 5505,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ShadowfangKeep:LordGodfrey() end,
					partial = false,
                },   
            },

            ZulGurub = {
                name = "Zul Gurub",
                boss1 = {
                    name = "Other 20",
                    bossIDs = {},
                    achievement = 5744,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "High Priest Venoxis",
                    bossIDs = {52155},
                    achievement = 5743,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ZulGurub:HighPriestVenoxis() end,
					partial = false,
                },
                boss3 = {
                    name = "Bloodlord Mandokir",
                    bossIDs = {52151},
                    achievement = 5762,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ZulGurub:BloodlordMandokir() end,
					partial = false,
                },
                boss4 = {
                    name = "High Priestess Kilnara",
                    bossIDs = {52059},
                    achievement = 5765,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ZulGurub:HighPriestessKilnara() end,
					partial = false,
                },
                boss5 = {
                    name = "Jin'do",
                    bossIDs = {52148, 52624},
                    achievement = 5759,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ZulGurub:Jindo() end,
					partial = false,
                },
            },

            ZulAman = {
                name = "Zul Aman",
                boss1 = {
                    name = "Halazzi",
                    bossIDs = {23577},
                    achievement = 5750,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.ZulAman:Halazzi() end,
					partial = false,
                },
                boss2 = {
                    name = "Other 21",
                    bossIDs = {},
                    achievement = 5761,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Other 22",
                    bossIDs = {},
                    achievement = 5858,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Daakara",
                    bossIDs = {},
                    achievement = 5760,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            EndTime = {
                name = "End Time",
                boss1 = {
                    name = "Echo of Tyrande",
                    bossIDs = {},
                    achievement = 5995,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Echo of Sylvanas",
                    bossIDs = {54123},
                    achievement = 6130,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.EndTime:EchoOfSylvanas() end,
					partial = false,
                },
            },

            WellOfEternity = {
                name = "Well of Eternity",
                boss1 = {
                    name = "Peroth'arn",
                    bossIDs = {55085},
                    achievement = 6127,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.WellOfEternity:Perotharn() end,
					partial = false,
                },
                boss2 = {
                    name = "Mannoroth",
                    bossIDs = {54969, 55419},
                    achievement = 6070,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.WellOfEternity:Mannoroth() end,
					partial = false,
                },
            },

            HourOfTwilight = {
                name = "Hour of Twilight",
                boss1 = {
                    name = "Archbishop Benedictus",
                    bossIDs = {54938},
                    achievement = 6132,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HourOfTwilight:ArchbishopBenedictus() end,
					partial = false,
                },
            },
        },
    },

    WrathOfTheLichKing = {
        Raids = {
            ObsidianSanctum10Man = {
                name = "Obsidian Sanctum 10 Man",
                boss1 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 624,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2047,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss3 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2049,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss4 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2050,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss5 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2051,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                               
            },

            ObsidianSanctum25Man = {
                name = "Obsidian Sanctum 25 Man",
                boss1 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 1877,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2048,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss3 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2052,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss4 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2053,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },  
                boss5 = {
                    name = "Sartharion the Onyx Guardian",
                    bossIDs = {},
                    achievement = 2054,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                               
            },

            EyeOfEternity10Man = {
                name = "Eye of Eternity 10 Man",
                boss1 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 1874,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 1869,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss3 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 2148,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                             
            },

            EyeOfEternity25Man = {
                name = "Eye of Eternity 25 Man",
                boss1 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 1875,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 1870,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss3 = {
                    name = "Malygos",
                    bossIDs = {},
                    achievement = 2149,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                             
            },

            OnyxiasLair10Man = {
                name = "Onyxias Lair 10 Man",
                boss1 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4402,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4403,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4404,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                          
            },

            OnyxiasLair25Man = {
                name = "Onyxias Lair 25 Man",
                boss1 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4405,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4406,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Onyxia",
                    bossIDs = {},
                    achievement = 4407,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                          
            },

            TrialOfTheCrusader10Man = {
                name = "Trial of the Crusader 10 Man",
                boss1 = {
                    name = "Icehowl",
                    bossIDs = {34796},
                    achievement = 3797,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:UpperBackPain() end,
					partial = false,
                },
                boss2 = {
                    name = "Acidmaw and Dreadscale",
                    bossIDs = {34796,35144,34799},
                    achievement = 3936,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:NotOneButTwoJormungars() end,
					partial = false,
                }, 
                boss3 = {
                    name = "Lord Jaraxxus",
                    bossIDs = {34780},
                    achievement = 3996,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:ThreeSixtyPainSpike() end,
					partial = false,
                }, 
                boss4 = {
                    name = "Faction Champions",
                    bossIDs = {34461,34460,34469,34467,34468,34465,34471,34466,34473,34472,34463,34470,34474,34475,34458,34451,34459,34448,34449,34445,34456,34447,34441,34454,34455,34444,34450,34453},
                    achievement = 3798,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:FactionChampions() end,
					partial = false,
                }, 
                boss5 = {
                    name = "Twin Val'kyr",
                    bossIDs = {34497,34496},
                    achievement = 3799,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:TwinValkyr() end,
					partial = false,
                }, 
                boss6 = {
                    name = "Anub'arak",
                    bossIDs = {34564},
                    achievement = 3800,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:Anubarak() end,
					partial = false,
                },                     
            },

            TrialOfTheCrusader25Man = {
                name = "Trial of the Crusader 25 Man",
                boss1 = {
                    name = "Icehowl",
                    bossIDs = {34796},
                    achievement = 3813,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:UpperBackPain() end,
					partial = false,
                },
                boss2 = {
                    name = "Acidmaw and Dreadscale",
                    bossIDs = {34796,35144,34799},
                    achievement = 3937,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:NotOneButTwoJormungars() end,
					partial = false,
                }, 
                boss3 = {
                    name = "Lord Jaraxxus",
                    bossIDs = {34780},
                    achievement = 3997,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:ThreeSixtyPainSpike() end,
					partial = false,
                }, 
                boss4 = {
                    name = "Twin Val'kyr",
                    bossIDs = {34497,34496},
                    achievement = 3815,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:TwinValkyr() end,
					partial = false,
                }, 
                boss5 = {
                    name = "Anub'arak",
                    bossIDs = {34564},
                    achievement = 3816,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TrialOfTheCrusader:Anubarak() end,
					partial = false,
                },                     
            },

            VaultOfArchavon10Man = {
                name = "Vault of Archavon 10 Man",
                boss1 = {
                    name = "Archavon & Emalon & Koralon",
                    bossIDs = {},
                    achievement = 4016,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                   
            },

            VaultOfArchavon25Man = {
                name = "Vault of Archavon 25 Man",
                boss1 = {
                    name = "Archavon & Emalon & Koralon",
                    bossIDs = {},
                    achievement = 4017,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                   
            },

            Ulduar = {
                name = "Ulduar",
                boss1 = {
                    name = "Other 23",
                    bossIDs = {33572},
                    achievement = 12312,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:Dwarfageddon() end,
					partial = true,
                },
                boss2 = {
                    name = "Other 24",
                    bossIDs = {},
                    achievement = 12313,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() end,
					partial = false,
                }, 
                boss3 = {
                    name = "Flame Leviathan 1",
                    bossIDs = {},
                    achievement = 12314,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss4 = {
                    name = "Flame Leviathan 2",
                    bossIDs = {33113},
                    achievement = 12315,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FlameLeviathanTakeOutThoseTurrets() end,
					partial = false,
                }, 
                boss5 = {
                    name = "Flame Leviathan 3",
                    bossIDs = {33113},
                    achievement = 12316,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FlameLeviathanShutout() end,
					partial = false,
                }, 
                boss6 = {
                    name = "Flame Leviathan 4",
                    bossIDs = {},
                    achievement = 12317,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss7 = {
                    name = "Flame Leviathan 5",
                    bossIDs = {},
                    achievement = 12318,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss8 = {
                    name = "Flame Leviathan 6",
                    bossIDs = {},
                    achievement = 12319,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss9 = {
                    name = "Flame Leviathan 7",
                    bossIDs = {},
                    achievement = 12320,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss10 = {
                    name = "Razorscale 1",
                    bossIDs = {33186},
                    achievement = 12321,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:RazorscaleAQuickShave() end,
					partial = false,
                }, 
                boss11 = {
                    name = "Razorscale 2",
                    bossIDs = {33186},
                    achievement = 12322,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:RazorscaleIronDwarfMediumRare() end,
					partial = false,
                }, 
                boss12 = {
                    name = "Ignis the Furnace Master 1",
                    bossIDs = {33118},
                    achievement = 12323,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:IgnisTheFurnaceMasterShattered() end,
					partial = false,
                }, 
                boss13 = {
                    name = "Ignis the Furnace Master 2",
                    bossIDs = {},
                    achievement = 12324,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss14 = {
                    name = "Ignis the Furnace Master 3",
                    bossIDs = {33118},
                    achievement = 12325,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:IgnisTheFurnaceMasterStokinTheFurnace() end,
					partial = false,
                }, 
                boss15 = {
                    name = "XT-002 Deconstructor 1",
                    bossIDs = {33293},
                    achievement = 12326,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:XT002DeconstructorNerfEngineering() end,
					partial = false,
                }, 
                boss16 = {
                    name = "XT-002 Deconstructor 2",
                    bossIDs = {33293},
                    achievement = 12327,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:XT002DeconstructorNerfScrapbots() end,
					partial = false,
                }, 
                boss17 = {
                    name = "XT-002 Deconstructor 3",
                    bossIDs = {33293},
                    achievement = 12328,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:XT002DeconstructorNerfGravityBombs() end,
					partial = false,
                }, 
                boss18 = {
                    name = "XT-002 Deconstructor 4",
                    bossIDs = {33293},
                    achievement = 12329,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:XT002DeconstructorMustDeconstructFaster() end,
					partial = false,
                }, 
                boss19 = {
                    name = "XT-002 Deconstructor 5",
                    bossIDs = {33293},
                    achievement = 12330,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:XT002DeconstructorHeartbreaker() end,
					partial = false,
                }, 
                boss20 = {
                    name = "Assembly of Iron 1",
                    bossIDs = {32867,32927,32857},
                    achievement = 12332,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AssemblyOfIronIChooseYouRunemasterMolgeim() end,
					partial = false,
                }, 
                boss21 = {
                    name = "Assembly of Iron 2",
                    bossIDs = {32867,32927,32857},
                    achievement = 12333,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AssemblyOfIronIChooseYouStormcallerBrundir() end,
					partial = false,
                }, 
                boss22 = {
                    name = "Assembly of Iron 3",
                    bossIDs = {32867,32927,32857},
                    achievement = 12334,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AssemblyOfIronIChooseYouSteelbreaker() end,
					partial = false,
                }, 
                boss23 = {
                    name = "Assembly of Iron 4",
                    bossIDs = {},
                    achievement = 12335,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss24 = {
                    name = "Assembly of Iron 5",
                    bossIDs = {32867,32927,32857},
                    achievement = 12336,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AssemblyOfIronCantDoThatWhileStunned() end,
					partial = false,
                }, 
                boss25 = {
                    name = "Kologarn 1",
                    bossIDs = {32930,32934,32933},
                    achievement = 12337,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:KologarnWithOpenArms() end,
					partial = false,
                }, 
                boss26 = {
                    name = "Kologarn 2",
                    bossIDs = {},
                    achievement = 12338,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss27 = {
                    name = "Kologarn 3",
                    bossIDs = {32930,32934,32933},
                    achievement = 12339,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:KologarnIfLooksCouldKill() end,
					partial = false,
                }, 
                boss28 = {
                    name = "Kologarn 4",
                    bossIDs = {32930,32934,32933},
                    achievement = 12340,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:KologarnRubbleAndRoll() end,
					partial = false,
                }, 
                boss29 = {
                    name = "Auriaya 1",
                    bossIDs = {33515, 34014},
                    achievement = 12341,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AuriayaCrazyCatLady() end,
					partial = false,
                }, 
                boss30 = {
                    name = "Auriaya 2",
                    bossIDs = {33515, 34014},
                    achievement = 12342,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:AuriayaNineLives() end,
					partial = false,
                }, 
                boss31 = {
                    name = "Hodir 1",
                    bossIDs = {32845},
                    achievement = 12343,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:HodirCheeseTheFreeze() end,
					partial = false,
                }, 
                boss32 = {
                    name = "Hodir 2",
                    bossIDs = {32845},
                    achievement = 12344,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:HodirIHaveTheCoolestFriends() end,
					partial = false,
                }, 
                boss33 = {
                    name = "Hodir 3",
                    bossIDs = {32845},
                    achievement = 12345,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:HodirGettingColdInHere() end,
					partial = false,
                }, 
                boss34 = {
                    name = "Hodir 4",
                    bossIDs = {32845},
                    achievement = 12347,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:HodirICouldSayThatThisCacheWasRare() end,
					partial = false,
                }, 
                boss35 = {
                    name = "Hodir 5",
                    bossIDs = {},
                    achievement = 12346,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss36 = {
                    name = "Thorim 1",
                    bossIDs = {32865},
                    achievement = 12348,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:ThorimDontStandInTheLightning() end,
					partial = false,
                }, 
                boss37 = {
                    name = "Thorim 2",
                    bossIDs = {},
                    achievement = 12349,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss38 = {
                    name = "Thorim 3",
                    bossIDs = {},
                    achievement = 12350,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss39 = {
                    name = "Thorim 4",
                    bossIDs = {},
                    achievement = 12351,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss40 = {
                    name = "Thorim 5",
                    bossIDs = {},
                    achievement = 12352,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss41 = {
                    name = "Freya Mini Bosses",
                    bossIDs = {32914, 32913, 32915},
                    achievement = 12360,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FreyaLumberjacked() end,
					partial = false,
                }, 
                boss42 = {
                    name = "Freya 1",
                    bossIDs = {33430, 33431, 33528, 33527, 33526, 33525, 32914, 32913, 33354, 33355, 32915},
                    achievement = 12361,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FreyaConSpeedAtory() end,
					partial = true,
                }, 
                boss43 = {
                    name = "Freya 2",
                    bossIDs = {32906},
                    achievement = 12362,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FreyaDeforestation() end,
					partial = false,
                }, 
                boss44 = {
                    name = "Freya 3",
                    bossIDs = {32906},
                    achievement = 12363,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:FreyaGettingBackToNature() end,
					partial = false,
                }, 
                boss45 = {
                    name = "Freya 4",
                    bossIDs = {},
                    achievement = 12364,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss46 = {
                    name = "Freya 5",
                    bossIDs = {},
                    achievement = 12365,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss47 = {
                    name = "Freya 6",
                    bossIDs = {},
                    achievement = 12366,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss48 = {
                    name = "Mimiron 1",
                    bossIDs = {33350, 33432},
                    achievement = 12367,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:MimironSetUpUsTheBomb() end,
					partial = false,
                }, 
                boss49 = {
                    name = "Mimiron 2",
                    bossIDs = {33350, 33432},
                    achievement = 12368,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Ulduar:MimironNotSoFriendlyFire() end,
					partial = false,
                }, 
                boss50 = {
                    name = "Mimiron 3",
                    bossIDs = {33350, 33432},
                    achievement = 12369,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() end,
					partial = false,
                }, 
                boss51 = {
                    name = "General Vezax 1",
                    bossIDs = {},
                    achievement = 12372,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss52 = {
                    name = "General Vezax 2",
                    bossIDs = {},
                    achievement = 12373,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss53 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12384,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss54 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12385,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss55 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12386,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss56 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12387,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss57 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12388,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss58 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12395,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss59 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12396,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss60 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12397,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss61 = {
                    name = "Yogg-Saron",
                    bossIDs = {},
                    achievement = 12398,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                }, 
                boss62 = {
                    name = "Algalon the Observer",
                    bossIDs = {},
                    achievement = 12400,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                    
            },

            Naxxramas10Man = {
                name = "Naxxramas 10 Man",
                boss1 = {
                    name = "Othe 25r",
                    bossIDs = {},
                    achievement = 578,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Maexxna",
                    bossIDs = {15956,15952},
                    achievement = 1858,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Arachnophobia() end,
					partial = false,
                },
                boss3 = {
                    name = "Patchwerk",
                    bossIDs = {16028},
                    achievement = 1856,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Patchwerk() end,
					partial = false,
                },
                boss4 = {
                    name = "Heigan the Unclean",
                    bossIDs = {15936},
                    achievement = 1996,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:HeiganTheUnclean() end,
					partial = false,
                },
                boss5 = {
                    name = "Grand Widow Faerlina",
                    bossIDs = {15953},
                    achievement = 1997,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:GrandWidowFaerlina() end,
					partial = false,
                },
                boss6 = {
                    name = "Thaddius",
                    bossIDs = {15928,15930,15929},
                    achievement = 2178,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Shocking() end,
					partial = false,
                },
                boss7 = {
                    name = "Thaddius",
                    bossIDs = {15928,15930,15929},
                    achievement = 2180,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Subtraction() end,
					partial = false,
                },
                boss8 = {
                    name = "Loatheb",
                    bossIDs = {16011},
                    achievement = 2182,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Loatheb() end,
					partial = false,
                },
                boss9 = {
                    name = "Four Horsemen",
                    bossIDs = {16063,16064,16065,30549},
                    achievement = 2176,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:FourHorsemen() end,
					partial = false,
                },
                boss10 = {
                    name = "Sapphiron",
                    bossIDs = {},
                    achievement = 2146,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss11 = {
                    name = "Kel'Thuzad",
                    bossIDs = {23562,23563,23561,16427,16429,16428},
                    achievement = 2184,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:KelThuzad() end,
					partial = false,
                },                          
            },

            Naxxramas25Man = {
                name = "Naxxramas 25 Man",
                boss1 = {
                    name = "Other 26",
                    bossIDs = {},
                    achievement = 579,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Maexxna",
                    bossIDs = {15956,15952},
                    achievement = 1859,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Arachnophobia() end,
					partial = false,
                },
                boss3 = {
                    name = "Patchwerk",
                    bossIDs = {16028},
                    achievement = 1857,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Patchwerk() end,
					partial = false,
                },
                boss4 = {
                    name = "Heigan the Unclean",
                    bossIDs = {15936},
                    achievement = 2139,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:HeiganTheUnclean() end,
					partial = false,
                },
                boss5 = {
                    name = "Grand Widow Faerlina",
                    bossIDs = {15953},
                    achievement = 2140,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:GrandWidowFaerlina() end,
					partial = false,
                },
                boss6 = {
                    name = "Thaddius",
                    bossIDs = {15928,15930,15929},
                    achievement = 2179,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Shocking() end,
					partial = false,
                },
                boss7 = {
                    name = "Thaddius",
                    bossIDs = {15928,15930,15929},
                    achievement = 2181,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Subtraction() end,
					partial = false,
                },
                boss8 = {
                    name = "Loatheb",
                    bossIDs = {16011},
                    achievement = 2183,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:Loatheb() end,
					partial = false,
                },
                boss9 = {
                    name = "Four Horsemen",
                    bossIDs = {16063,16064,16065,30549},
                    achievement = 2177,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:FourHorsemen() end,
					partial = false,
                },
                boss10 = {
                    name = "Sapphiron",
                    bossIDs = {},
                    achievement = 2147,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss11 = {
                    name = "Kel'Thuzad",
                    bossIDs = {23562,23563,23561,16427,16429,16428},
                    achievement = 2185,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Naxxramas:KelThuzad() end,
					partial = false,
                },                          
            },

            IcecrownCitadel10Man = {
                name = "Icecrown Citadel 10 Man",
                boss1 = {
                    name = "Lord Marrowgar",
                    bossIDs = {36612},
                    achievement = 4534,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LordMarrowgar() end,
                    partial = false,
                },
                boss2 = {
                    name = "Lady Deathwhisper",
                    bossIDs = {36855},
                    achievement = 4535,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LadyDeathwhisper() end,
                    partial = false,
                },     
                boss3 = {
                    name = "Gunship Battle",
                    bossIDs = {37215},
                    achievement = 4536,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:GunshipBattle() end,
                    partial = false,
                },     
                boss4 = {
                    name = "Deathbringer Saurfang",
                    bossIDs = {37813},
                    achievement = 4537,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:DeathbringerSaurfang() end,
                    partial = false,
                },     
                boss5 = {
                    name = "Festergut",
                    bossIDs = {36626},
                    achievement = 4577,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Festergut() end,
                    partial = false,
                },     
                boss6 = {
                    name = "Rotface",
                    bossIDs = {36627},
                    achievement = 4538,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Rotface() end,
                    partial = false,
                },     
                boss7 = {
                    name = "Professor Putricide",
                    bossIDs = {36678},
                    achievement = 4578,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:ProfessorPutricide() end,
                    partial = false,
                },     
                boss8 = {
                    name = "Valithria Dreamwalker",
                    bossIDs = {36789},
                    achievement = 4579,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },     
                boss9 = {
                    name = "Sindragosa",
                    bossIDs = {36853},
                    achievement = 4580,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Sindragosa() end,
                    partial = false,
                },     
                boss10 = {
                    name = "Blood Prince Council",
                    bossIDs = {37970},
                    achievement = 4582,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:BloodPrinceCouncil() end,
                    partial = false,
                },     
                boss11 = {
                    name = "Blood-Queen Lana'thel",
                    bossIDs = {37955},
                    achievement = 4539,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },     
                boss12 = {
                    name = "The Lich King",
                    bossIDs = {36597},
                    achievement = 4601,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LichKing() end,
                    partial = false,
                },
                boss13 = {
                    name = "The Lich King",
                    bossIDs = {},
                    achievement = 4581,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                                
            },

            IcecrownCitadel25Man = {
                name = "Icecrown Citadel 25 Man",
                boss1 = {
                    name = "Lord Marrowgar",
                    bossIDs = {36612},
                    achievement = 4610,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LordMarrowgar() end,
                    partial = false,
                },
                boss2 = {
                    name = "Lady Deathwhisper",
                    bossIDs = {36855},
                    achievement = 4611,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LadyDeathwhisper() end,
                    partial = false,
                },     
                boss3 = {
                    name = "Gunship Battle",
                    bossIDs = {37215},
                    achievement = 4612,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:GunshipBattle() end,
                    partial = false,
                },     
                boss4 = {
                    name = "Deathbringer Saurfang",
                    bossIDs = {37813},
                    achievement = 4613,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:DeathbringerSaurfang() end,
                    partial = false,
                },     
                boss5 = {
                    name = "Festergut",
                    bossIDs = {36626},
                    achievement = 4615,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Festergut() end,
                    partial = false,
                },     
                boss6 = {
                    name = "Rotface",
                    bossIDs = {36627},
                    achievement = 4614,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Rotface() end,
                    partial = false,
                },     
                boss7 = {
                    name = "Professor Putricide",
                    bossIDs = {36678},
                    achievement = 4616,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:ProfessorPutricide() end,
                    partial = false,
                },     
                boss8 = {
                    name = "Valithria Dreamwalker",
                    bossIDs = {36789},
                    achievement = 4619,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },     
                boss9 = {
                    name = "Sindragosa",
                    bossIDs = {36853},
                    achievement = 4620,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:Sindragosa() end,
                    partial = false,
                },     
                boss10 = {
                    name = "Blood Prince Council",
                    bossIDs = {37970},
                    achievement = 4617,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:BloodPrinceCouncil() end,
                    partial = false,
                },     
                boss11 = {
                    name = "Blood-Queen Lana'thel",
                    bossIDs = {37955},
                    achievement = 4618,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },     
                boss12 = {
                    name = "The Lich King",
                    bossIDs = {36597},
                    achievement = 4621,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Icecrown:LichKing() end,
                    partial = false,
                },
                boss13 = {
                    name = "The Lich King",
                    bossIDs = {},
                    achievement = 4622,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },                               
            },
        },

        Dungeons = {
            UtgardeKeep = {
                name = "Utgarde Keep",
                boss1 = {
                    name = "Prince Keleseth",
                    bossIDs = {23953},
                    achievement = 1919,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UtgardeKeep:PrinceKeleseth() end,
					partial = false,
                },
            },

            TheNexus = {
                name = "The Nexus",
                boss1 = {
                    name = "Grand Magus Telestra",
                    bossIDs = {26731},
                    achievement = 2150,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheNexus:GrandMagusTelestra() end,
					partial = false,
                },
                boss2 = {
                    name = "Anomalus",
                    bossIDs = {26763},
                    achievement = 2037,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheNexus:Anomalus() end,
					partial = false,
                },
                boss3 = {
                    name = "Keristrasza",
                    bossIDs = {26723},
                    achievement = 2036,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheNexus:Keristrasza() end,
					partial = false,
                },
            },

            TheCullingOfStratholme = {
                name = "The Culling of Stratholme",
                boss1 = {
                    name = "Other 27",
                    bossIDs = {},
                    achievement = 1872,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Other 28",
                    bossIDs = {},
                    achievement = 1817,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            AzjolNerub = {
                name = "Azjol Nerub",
                boss1 = {
                    name = "Krik'thir the Gatewatcher",
                    bossIDs = {},
                    achievement = 1296,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() end,
					partial = false,
                },
                boss2 = {
                    name = "Hadronox",
                    bossIDs = {},
                    achievement = 1297,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Anub'arak",
                    bossIDs = {29120},
                    achievement = 1860,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.AzjolNerub:Anubarak() end,
					partial = false,
                },
            },

            AhnKahetTheOldKingdom = {
                name = "AhnKahet The Old Kingdom",
                boss1 = {
                    name = "Elder Nadox",
                    bossIDs = {29309},
                    achievement = 2038,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.AhnKahetTheOldKingdom:ElderNadox() end,
					partial = false,
                },
                boss2 = {
                    name = "Jedoga Shadowseeker",
                    bossIDs = {29310},
                    achievement = 2056,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.AhnKahetTheOldKingdom:JedogaShadowseeker() end,
					partial = false,
                },
                boss3 = {
                    name = "Herald Volazj",
                    bossIDs = {29311},
                    achievement = 1862,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.AhnKahetTheOldKingdom:HeraldVolazj() end,
					partial = false,
                },
            },

            DrakTharonKeep = {
                name = "Drak Tharon Keep",
                boss1 = {
                    name = "Trollgore",
                    bossIDs = {26630},
                    achievement = 2151,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DrakTharonKeep:Trollgore() end,
					partial = false,
                },
                boss2 = {
                    name = "Novos the Summoner",
                    bossIDs = {},
                    achievement = 2057,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "King Dred",
                    bossIDs = {27483},
                    achievement = 2039,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.DrakTharonKeep:KingDred() end,
					partial = false,
                },
            },

            VioletHold = {
                name = "Violet Hold",
                boss1 = {
                    name = "Cyanigosa",
                    bossIDs = {},
                    achievement = 1816,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Other 29",
                    bossIDs = {},
                    achievement = 1865,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Ichoron",
                    bossIDs = {},
                    achievement = 2041,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Zuramat the Obliterator",
                    bossIDs = {},
                    achievement = 2153,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            Gundrak = {
                name = "Gundrak",
                boss1 = {
                    name = "Slad'ran",
                    bossIDs = {29304},
                    achievement = 2058,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Gundrak:Sladran() end,
					partial = false,
                },
                boss2 = {
                    name = "Moorabi",
                    bossIDs = {29305},
                    achievement = 2040,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.Gundrak:Moorabi() end,
					partial = false,
                },
                boss3 = {
                    name = "Gal'darah",
                    bossIDs = {},
                    achievement = 1864,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Gal'darah",
                    bossIDs = {},
                    achievement = 2152,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            HallsOfStone = {
                name = "Halls of Stone",
                boss1 = {
                    name = "Maiden of Grief",
                    bossIDs = {27975},
                    achievement = 1866,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfStone:MaidenOfGrief() end,
					partial = false,
                },
                boss2 = {
                    name = "Tribunal of Ages",
                    bossIDs = {27983},
                    achievement = 2154,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfStone:TribunalOfAges() end,
					partial = false,
                },
                boss3 = {
                    name = "Sjonnir The Ironshaper",
                    bossIDs = {27978},
                    achievement = 2155,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfStone:SjonnirTheIronshaper() end,
					partial = false,
                },
            },

            HallsOfLightning = {
                name = "Halls of Lightning",
                boss1 = {
                    name = "General Bjarngrim",
                    bossIDs = {28586},
                    achievement = 1834,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfLightning:GeneralBjarngrim() end,
					partial = false,
                },
                boss2 = {
                    name = "Volkhan",
                    bossIDs = {28587},
                    achievement = 2042,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfLightning:Volkhan() end,
					partial = false,
                },
                boss3 = {
                    name = "Loken",
                    bossIDs = {28923},
                    achievement = 1867,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.HallsOfLightning:Loken() end,
					partial = false,
                },
            },

            TheOculus = {
                name = "The Oculus",
                boss1 = {
                    name = "Ley-Guardian Eregos",
                    bossIDs = {},
                    achievement = 1871,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Ley-Guardian Eregos",
                    bossIDs = {},
                    achievement = 1868,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "Ley-Guardian Eregos",
                    bossIDs = {},
                    achievement = 2044,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "Ley-Guardian Eregos",
                    bossIDs = {},
                    achievement = 2045,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss5 = {
                    name = "Ley-Guardian Eregos",
                    bossIDs = {},
                    achievement = 2046,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            UtgardePinnacle = {
                name = "Utgarde Pinnacle",
                boss1 = {
                    name = "Svala Sorrowgrave",
                    bossIDs = {},
                    achievement = 2043,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Skadi the Ruthless",
                    bossIDs = {26690, 26693},
                    achievement = 1873,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UtgardePinnacle:SkadiTheRuthless() end,
					partial = false,
                },
                boss3 = {
                    name = "Skadi the Ruthless",
                    bossIDs = {},
                    achievement = 2156,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss4 = {
                    name = "King Ymiron",
                    bossIDs = {26861},
                    achievement = 2157,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.UtgardePinnacle:KingYmiron() end,
					partial = false,
                },
            },

            TrialOfTheChampion = {
                name = "Trial of the Champion",
                boss1 = {
                    name = "Argent Confessor Paletress",
                    bossIDs = {},
                    achievement = 3802,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss2 = {
                    name = "Eadric the Pure ",
                    bossIDs = {},
                    achievement = 3803,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
                boss3 = {
                    name = "The Black Knight",
                    bossIDs = {},
                    achievement = 3804,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },

            TheForgeOfSouls = {
                name = "The Forge of Souls",
                boss1 = {
                    name = "Bronjahm",
                    bossIDs = {36497},
                    achievement = 4522,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheForgeOfSouls:Bronjahm() end,
					partial = false,
                },
                boss2 = {
                    name = "Devourer of Souls",
                    bossIDs = {36502},
                    achievement = 4523,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.TheForgeOfSouls:DevourerOfSouls() end,
					partial = false,
                },
            },

            PitOfSaron = {
                name = "Pit of Saron",
                boss1 = {
                    name = "Forgemaster Garfrost",
                    bossIDs = {36494},
                    achievement = 4524,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() core.PitOfSaron:ForgemasterGarfrost() end,
					partial = false,
                },
                boss2 = {
                    name = "Pit of Saron Tunnel",
                    bossIDs = {},
                    achievement = 4525,
                    players = {},
                    tactics = "",
                    enabled = true,
                    track = function() end,
					partial = false,
                },
            },

            HallsOfReflection = {
                name = "Halls of Reflection",
                boss1 = {
                    name = "Wrath of the Lich King",
                    bossIDs = {},
                    achievement = 4526,
                    players = {},
                    tactics = "",
                    enabled = false,
                    track = nil,
					partial = false,
                },
            },
        },
    },
}